summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJiayi Zhao <jeff.no.zhao@gmail.com>2018-10-04 21:15:24 -0400
committerMichał Górny <mgorny@gentoo.org>2018-10-13 13:12:26 +0200
commit2d623379fa9830f9544c5fe7591c6b408c903bee (patch)
tree5b21e60c1e4bc6c701b0684fc518f831846e4b66 /media-gfx/qimgv
parentnet-analyzer/bing: Drop old (diff)
downloadgentoo-2d623379fa9830f9544c5fe7591c6b408c903bee.tar.gz
gentoo-2d623379fa9830f9544c5fe7591c6b408c903bee.tar.bz2
gentoo-2d623379fa9830f9544c5fe7591c6b408c903bee.zip
media-gfx/qimgv: version bump 0.7.1
Package-Manager: Portage-2.3.49, Repoman-2.3.10 Signed-off-by: Jiayi Zhao <jeff.no.zhao@gmail.com> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'media-gfx/qimgv')
-rw-r--r--media-gfx/qimgv/Manifest1
-rw-r--r--media-gfx/qimgv/qimgv-0.7.1.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index b5e9cce2baa..c857392d342 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1,3 @@
DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301
+DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630
DIST qimgv-0.7.tar.gz 273405 BLAKE2B c4f497eb132eeefa161e328f1ce246ff0a369e21b895cf85b68a69aaf446289ae0fc1170be9c424c32fc8659c196d1c7542938813edef30ea30f4e8509f22cfe SHA512 35fb8fbba75e08dad945fcbc679f449894c6eafc01ab0166b1929956dca636ccd25ba261c22c58a4d283aafa0690ca2c1f672092fc40c5b532f41944e4b0a9e3
diff --git a/media-gfx/qimgv/qimgv-0.7.1.ebuild b/media-gfx/qimgv/qimgv-0.7.1.ebuild
new file mode 100644
index 00000000000..dc7afe79d53
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.7.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kde video"
+
+RDEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ kde? ( kde-frameworks/kwindowsystem:5 )
+ video? ( media-video/mpv[libmpv] )
+"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ eapply_user
+ # respect make.conf CXXFLAGS
+ sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -O3")/d' CMakeLists.txt || die
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DKDE_BLUR=$(usex kde)
+ -DVIDEO_SUPPORT=$(usex video)
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}